aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py3-gevent-websocket
diff options
context:
space:
mode:
authorLeo <thinkabit.ukim@gmail.com>2019-05-30 17:54:22 -0300
committerLeo <thinkabit.ukim@gmail.com>2019-06-14 08:00:22 -0300
commit0842c69795c180169c9c9c2fce13bacf31a5d041 (patch)
treecaf8171bbd447acb6811c8354babd6fcf6843c1b /testing/py3-gevent-websocket
parent972a86c941a334c036a3eb19881e91b32f117126 (diff)
downloadaports-0842c69795c180169c9c9c2fce13bacf31a5d041.tar.bz2
aports-0842c69795c180169c9c9c2fce13bacf31a5d041.tar.xz
testing/py3-gevent-websocket: rename from py-geventwebsocket
Diffstat (limited to 'testing/py3-gevent-websocket')
-rw-r--r--testing/py3-gevent-websocket/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/testing/py3-gevent-websocket/APKBUILD b/testing/py3-gevent-websocket/APKBUILD
new file mode 100644
index 0000000000..8ff34fd3d7
--- /dev/null
+++ b/testing/py3-gevent-websocket/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor:
+# Maintainer:
+pkgname=py-geventwebsocket
+pkgver=0.3.6
+pkgrel=0
+pkgdesc="gevent websockets library"
+url="https://pypi.python.org/pypi/gevent-websocket/"
+arch="all"
+license="BSD"
+depends="python2 py-gevent"
+depends_dev=""
+makedepends="python2-dev py-setuptools"
+install=""
+subpackages=""
+source="https://files.pythonhosted.org/packages/source/g/gevent-websocket/gevent-websocket-$pkgver.tar.gz"
+
+_builddir="$srcdir/gevent-websocket-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python2 setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python2 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="b953f8d4b9476f1645da8b8aa55b4530 gevent-websocket-0.3.6.tar.gz"